Bug 9732 - Bind Version 8.2.1 Release 7 will not talk to forwarder
Bind Version 8.2.1 Release 7 will not talk to forwarder
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-23 22:20 EST by Jason Preves
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-24 09:30:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Preves 2000-02-23 22:20:32 EST
Named will try to forward any requests that are not within our private
network to an AIX 4.3.2 named server that was running named Ver. 4.  The
client (Win95, Win98, & WinNT 4.0) would return host not found.  Named on
RH61 appeared to be having problems negotiating with AIX named version 4.
Upgraded AIX named version 4 to version 8 and same problem existed.
Finally, dropped RH61 machines back to named version 8.2.1 Release 6 from
RedHat 6.0 RPMS.  All works fine.  No errors were reported to
/var/log/messages file about named forwarders not working.  I was using the
exact same named.conf from BIND 8.2.1 R6 with BIND 8.2.1 R7.  Will upgrade
to BIND 8.2.2 fix this problem or have you heard of this at all?  Here is
my named.conf file:

options {
        directory "/var/named";
        forwarders{
                10.1.1.32;
        };
};
zone "." {
        type hint;
        file "named.ca";
};
zone "private.gdol"{
        type master;
        file "private.gdol";
        notify no;
};
zone "10.IN-ADDR.ARPA"{
        type master;
        file "10.";
        notify no;
};
zone "0.0.127.IN-ADDR.ARPA"{
        type master;
        file "named.local";
        notify no;

Thanks,

Jason
Comment 1 Bernhard Rosenkraenzer 2000-02-24 04:47:59 EST
Try updating to 8.2.2p5.
Running 8.2.1 is not a good idea; there are 2 known root shell exploits.

Your problem seems to be specific to AIX servers - I can't reproduce it here
with Linux and FreeBSD servers, so I can't tell you for sure if it will fix this
problem.
Comment 2 Jason Preves 2000-02-24 09:28:59 EST
I was able to upgrade the 8.2.1 to the 8.2.2 P3 that the RH security suggested
last night.  All appears to be working fine.  Thanks for your quick response.


Jason

Note You need to log in before you can comment on or make changes to this bug.